<?php

// $Id: openid_sync_server.admin.inc,v 1.1.2.3 2010/03/07 10:23:38 inadarei Exp $

/**
* @file
* Admin callbacks for the OpenID Sync Server module.
*/

/**
 * Implementation of hook_admin_settings()
 */
function openid_sync_server_settings_form(&$form_state) {

  $form['openid_sync_server_allowed_ips'] = array(
    '#type' => 'textarea',
    '#title' => t('Whitelist of allowed IPs that can access this OpenID Sync List.'),
    '#default_value' => variable_get('openid_sync_server_allowed_ips', '127.0.0  # localhost'),
    '#size' => 40,
    '#rows' => 7,
    '#required' => TRUE,
    '#description' => t('For security reasons, access to the list of OpenIDs may not be open to public at large. You must whitelist IPs of all servers that you need to allow access to. Please enter one IP on each line. You can indicate subpatterns, e.g.: 127.0.0 matches any IP that starts with 127.0.0. <p>Also, feel free to append comments after a pound sign "#" on each line, if you need to document the names of the servers corresponding to IPs.'),
  );

  $form['openid_sync_server_openids_allowed'] = array(
    '#type' => 'textarea',
    '#title' => t('List of Allowed Admin OpenIDs'),
    '#default_value' => variable_get('openid_sync_server_openids_allowed', ''),
    '#size' => 40,
    '#rows' => 7,
    '#required' => FALSE,
    '#description' => t('List of OpenIDs to attach to admin user on client Drupal installations. Please enter one openID per line'),
  );

  $form['openid_sync_server_openids_banned'] = array(
    '#type' => 'textarea',
    '#title' => t('List of Banned Admin OpenIDs'),
    '#default_value' => variable_get('openid_sync_server_openids_banned', ''),
    '#size' => 40,
    '#rows' => 7,
    '#required' => FALSE,
    '#description' => t('List of OpenIDs to remove from admin user on client Drupal installations. Please enter one openID per line'),
  );

  return system_settings_form($form);
}